### Function Macro

# GLib main_iteration

deprecated: 2.2

#### Declaration [src]

    #define g_main_iteration (
      may_block
    )

#### Description [src]

Runs a single iteration for the default `GMainContext`.

Deprecated since: 2.2

Use `g_main_context_iteration()` instead.

This function is not directly available to language bindings.

#### Parameters

`may_block`

  Type: `-`

  Set to `TRUE` if it should block (i.e. wait) until an event source becomes ready. It will return after an event source has been processed. If set to `FALSE` it will return immediately if no event source is ready to be processed.